Hello,
regarding bug #483, can you try to insert the sleep 1 at the following
place, see the attached patch: eudev.init.diff.
This should apply to eudev-3.2.7-6. Since we plan to include 3.2.9-
7~beowulf1 in beowulf-proposed-updates can you please also test that
patch on eudev.init for that version. It is available from the unstable
release. Don't bother about spacing/tab changes.
Thanks you very much for your help!
diff --git a/debian/eudev.init b/debian/eudev.init
index c3211a736..103a7dfbc 100644
--- a/debian/eudev.init
+++ b/debian/eudev.init
@@ -169,9 +169,10 @@ case "$1" in
if start-stop-daemon --start --name $NAME --user root --quiet \
--pidfile $PIDFILE --exec $DAEMON --background --make-pidfile; then
# prevents udevd to be killed by sendsigs (see #261 & DEBIAN #791944)
- mkdir -p $OMITDIR
- ln -sf $PIDFILE $OMITDIR/$NAME
- log_end_msg $?
+ mkdir -p $OMITDIR
+ ln -sf $PIDFILE $OMITDIR/$NAME
+ sleep 1
+ log_end_msg $?
else
log_warning_msg $?
log_warning_msg "Waiting 15 seconds and trying to continue anyway"